> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Active Languages

> Public: list all active languages sorted by sort_order.



## OpenAPI

````yaml https://api.vellaro.io/openapi.json get /api/v1/languages
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/languages:
    get:
      tags:
        - languages
      summary: List Active Languages
      description: 'Public: list all active languages sorted by sort_order.'
      operationId: list_active_languages_api_v1_languages_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_list_LanguageOut__'
components:
  schemas:
    ApiResponse_list_LanguageOut__:
      properties:
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/LanguageOut'
              type: array
            - type: 'null'
          title: Data
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[list[LanguageOut]]
    LanguageOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        code:
          type: string
          title: Code
        locale:
          type: string
          title: Locale
        flag_icon:
          anyOf:
            - type: string
            - type: 'null'
          title: Flag Icon
        sort_order:
          type: integer
          title: Sort Order
        is_default:
          type: boolean
          title: Is Default
        is_active:
          type: boolean
          title: Is Active
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - name
        - code
        - locale
        - flag_icon
        - sort_order
        - is_default
        - is_active
        - created_at
      title: LanguageOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta

````